package com.fjhx.mes.service.assembly;

import com.fjhx.mes.entity.assembly.po.AssemblyLine;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.assembly.vo.AssemblyLineVo;
import com.fjhx.mes.entity.assembly.dto.AssemblyLineSelectDto;
import com.fjhx.mes.entity.assembly.dto.AssemblyLineDto;


/**
 * <p>
 * 产线 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-23
 */
public interface AssemblyLineService extends BaseService<AssemblyLine> {

    /**
     * 产线分页
     */
    Page<AssemblyLineVo> getPage(AssemblyLineSelectDto dto);

    /**
     * 产线明细
     */
    AssemblyLineVo detail(Long id);

    /**
     * 产线新增
     */
    void add(AssemblyLineDto assemblyLineDto);

    /**
     * 产线编辑
     */
    void edit(AssemblyLineDto assemblyLineDto);

    /**
     * 产线删除
     */
    void delete(Long id);

}
